function change_onglet(fichier) {
  $.ajax({
    url: fichier,
    success: function (data) {
      $(".container").html(data);
      setFooter();

      $("#connexion").hide(); //cacher la div connexion
      $("#chapitre2").show(); //montre les chapitres
      $("#afficher_connexion").click(function () {
        //ouverture ou ferme DIV connexion au clic de la souris
        $("#connexion").show("slow");
        $("#chapitre2").hide("slow"); //cache les chapitres
        $("#login").focus();
        $("#connexion").delay(20000).hide("slow");
        $("#chapitre2").delay(20000).show("slow");
      });

      $("#button_logout").click(function () {
        num_onglet = $("nav #lis a").attr("id");
        $.ajax({
          type: "POST",
          url: "logout.php",
          success: function (response) {
            if (response == "logout-1") {
              change_onglet(
                "page_reload.inc.php?num_onglet=" + num_onglet + ""
              );
            } else if (response == "logout-0") {
              alert("Vous n'êtes pas déconnecté");
            }
          },
        });
      });

      $("#button_login").click(function (e) {
        e.preventDefault();
        num_onglet = $("nav #lis a").attr("id");

        $.post(
          "login.php",
          {
            login: $("#login").val(), // Nous récupérons la valeur de nos input
            password: $("#password").val(),
          },
          function (data) {
            if (data == "login_ok") {
              // Le membre est connecté. Ajoutons lui un message dans la page HTML.
              change_onglet(
                "page_reload.inc.php?num_onglet=" + num_onglet + ""
              );
            } else if (data == "error_login") {
              // Le membre n'a pas été connecté.
              $("#erreur_login").html(
                '<button type="button" class="btn btn-danger btn-sm">Login incorrect</button>'
              );
            } else if (data == "error_pass") {
              // Le membre n'a pas été connecté.
              $("#erreur_login").html(
                '<button type="button" class="btn btn-danger btn-sm">Mot de passe incorrect</button>'
              );
            }
          },
          "text"
        );
      });
      $("#button_onglet").click(function () {
        //$("#centre").css({'display' : 'none'});
        $("#centre").toggle("slow");
      });
    },
  });
}

function change_ressource(msg, comchap) {
  $.ajax({
    //Exécution d'une requete AJAX (requete http sans avoir à recharger la page)
    type: "POST",
    url: "traitement_chapitre.php",
    data: { num_chapitre: msg },
    dataType: "html", //Le type de données retournée (pour faciliter le traitement après)
    success: function (data) {
      //La fonction d'affichage du résultat dans la table
      $("#ress").fadeOut(500, function () {
        $("#ress").empty();
        $("#ress").append(data);
        $("#ress").fadeIn(1000);

        $("#chap li").attr("id", "lis1");
        $("#chap li:eq(" + (comchap - 1) + ")").attr("id", "lis");
      });
    },
    error: function () {
      alert("erreur");
    }, //La fonction en cas d'erreur
  });
}

//modifie à la volée le style en hauteur de ressource et chapitre dans le css
function setFooter() {
  var taille_ressource = document.getElementById("ressource");
  var taille_chapitre = document.getElementById("chapitre");
  var footer = document.getElementById("footer");

  var largeur_ecran = window.outerWidth;
  var hauteur_ecran = window.outerHeight;

  if (largeur_ecran > 450) {
    if (hauteur_ecran > 550) {
      taille_ressource.style.height = window.innerHeight - 295 + "px";
      taille_chapitre.style.height = window.innerHeight - 295 + "px";
    } else {
      taille_ressource.style.height = "400px";
      taille_chapitre.style.height = "400px";
      footer.style.position = "relative";
    }
  } else {
    if (hauteur_ecran > 550) {
      taille_ressource.style.height = window.innerHeight - 235 + "px";
      taille_chapitre.style.height = window.innerHeight - 235 + "px";
    } else {
      taille_ressource.style.height = "400px";
      taille_chapitre.style.height = "400px";
      footer.style.position = "relative";
    }
  }
}

window.onload = setFooter;
window.onresize = setFooter;
