<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" lang="fr">
<!-- head -->

<head>

    <meta charset="UTF-8">

    <title><?php echo $nom_fenetre;?></title>

    <meta name="description" content="Technologie collège">

    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">

    <link rel="SHORTCUT ICON" href="../../favicon.ico">

    <!-- CSS -->
    <link rel="stylesheet" type="text/css" href="css/bootstrap.css" />
    <link rel="stylesheet" type="text/css" href="css/style.css" />
    <!-- CSS -->

    <!-- icones -->
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.0.10/css/all.css"
        integrity="sha384-+d0P83n9kaQMCwj8F4RJB66tzIwOKmrdb46+porD/OvrJ+37WqIM7UoBtwHO6Nlg" crossorigin="anonymous">
    <!-- icones -->

</head>

<body
    style="background-color:<?php echo $config['couleur_fond'];?>; background-image:url(../../partage/cartable/background/<?php echo $config['img_fond'];?>); background-repeat: no-repeat; background-attachment: fixed; background-size: cover;">
    <div class="container-fluid">
        <!-- header -->
        <?php require '_header.php'; ?>
        <!-- header -->

        <div class="container">
            <!-- affichage des onglets...  -->
            <nav class="onglet">
                <ul style="opacity: <?php echo $config['opacity'];?>;">
                    <?php afficherOnglets($bdd); //appel fonction pour affichage des onglets suivant les droits ?>
                </ul>
            </nav>

            <section class="bandeau"
                style="background-color:<?php echo $onglet['couleur_fond'];?>; opacity:<?php echo $config['opacity'];?>;">
                <div id="onglet_nom">
                    <p style="color:<?php echo $onglet['couleur_texte'];?>;">
                        <?php echo htmlentities(stripslashes($onglet['nom']), ENT_QUOTES, "UTF-8");?></p>
                </div>
                <div id="onglet_slogan">
                    <p style="color:<?php echo $onglet['couleur_texte'];?>;"><?php echo $onglet['slogan'];?></p>
                </div>
            </section>

            <section id="centre"
                style="background-color: <?php echo $onglet['couleur_fond'];?>; opacity: <?php echo $config['opacity'];?>;">
                <!-- colonne de gauche -->
                <article id="chapitre" style="background-color: <?php echo $onglet['couleur_fond'];?>;">
                    <div class="connexion">
                        <?php if (isset($_SESSION['password_define1'])) { ?>
                        <!-- on affiche le nom de l'utilisateur -->
                        <div class="pass_ok">
                            <span class="icon" style="color: <?php echo $onglet['couleur_texte'];?>;"><i
                                    class="fa fa-user"></i></span>
                            <span
                                style="color: <?php echo $onglet['couleur_texte'];?>;"><?php echo $_SESSION['login_define1']." ";?></span>
                        </div>

                        <div class="pass_ok2">
                            <?php	if (($_SESSION['droit_define1']=='admin') or ($_SESSION['droit_define1']=='prof')) { ?>
                            <!-- si l'utilisateur a les droits admin ou prof on affiche l'accès à l'interface ADMIN -->
                            <button type="button" class="btn btn-success btn-sm"
                                onclick="window.location.href='../../admin/admin.php'">
                                <span class="icon"><i class="fa fa-user-circle"></i></span>
                                <span>Administration</span>
                            </button>
                            <?php
                        }
                        ?>
                            <button type="button" id="button_logout" class="btn btn-warning btn-sm">
                                <span class="icon"><i class="fas fa-sign-out-alt"></i></span>
                                <span>Déconnexion</span>
                            </button>
                        </div>
                        <?php }
                    else
                    { ?>
                        <div class="pass_ok2" id="afficher_connexion">
                            <button type="button" class="btn btn-outline-dark btn-sm">
                                <span class="icon"><i class="fa fa-user"></i></span> Login</button>
                        </div>

                        <?php } ?>

                        <div id="connexion"><?php include("connexion.php");?></div>
                    </div>

                    <div id="chapitre2">
                        <ul id="chap"><?php afficherChapitres($bdd);?></ul>
                    </div>
                </article>
                <!-- end colonne de gauche -->

                <article id="ressource">
                    <ul id="ress"><?php afficherRessources($bdd);?></ul>
                </article>
            </section>
        </div>

        <!-- footer -->
        <?php require '_footer.php'; ?>
        <!-- footer -->
    </div>

    <script src="js/jquery.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/function.js"></script>
    <script type="text/javascript">
    $(document).ready(function() {
        $('#connexion').hide(); //cacher la div connexion
        $('#chapitre2').show(); //montre les chapitres
        $('#afficher_connexion').click(function() { //ouverture ou ferme DIV connexion au clic de la souris
            $('#connexion').show('slow');
            $('#chapitre2').hide('slow'); //cache les chapitres
            $('#login').focus();
            $('#connexion').delay(20000).hide('slow');
            $('#chapitre2').delay(20000).show('slow');
        });

        /* script de déconnexion */
        $('#button_logout').click(function() {
            num_onglet = $("nav #lis a").attr("id");
            $.ajax({
                type: 'POST',
                url: 'logout.php',
                success: function(response) {
                    if (response == 'logout-1') {
                        change_onglet('page_reload.inc.php?num_onglet=' + num_onglet + '');
                    } else if (response == 'logout-0') {
                        alert('Vous n\'êtes pas déconnecté');
                    }
                }
            });
        });

        /* script de connexion */
        $("#button_login").click(function(e) {
            e.preventDefault();
            num_onglet = $("nav #lis a").attr("id");

            $.post(
                'login.php', {
                    login: $("#login").val(), // Nous récupérons la valeur de nos input
                    password: $("#password").val()
                },
                function(data) {
                    if (data == 'login_ok') {
                        // Le membre est connecté. Ajoutons lui un message dans la page HTML.
                        change_onglet('page_reload.inc.php?num_onglet=' + num_onglet + '');
                    } else if (data == 'error_login') {
                        // Le membre n'a pas été connecté.
                        $("#erreur_login").html(
                            '<button type="button" class="btn btn-danger btn-sm">Login incorrect</button>',
                            function() {
                                $("#erreur_login").delay(1000).empty();
                            });

                    } else if (data == 'error_pass') {
                        // Le membre n'a pas été connecté.
                        $("#erreur_login").html(
                            '<button type="button" class="btn btn-danger btn-sm">Mot de passe incorrect</button>',
                            function() {
                                $("#erreur_login").delay(1000).empty();
                            });
                    }
                },
                'text'
            );
        });

        $('#button_onglet').click(function() {
            $('#centre').toggle('slow');
        });

    });
    </script>

</body>

</html>